Pandabase
Store APIsDisputes

List disputes

GET
/stores/{storeId}/disputes/

Returns a list of disputes filed against the store's payments. Requires the DISPUTES_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default25
status?||||
sort?|
needsEvidence?boolean

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/disputes/"
{  "ok": true,  "data": {    "items": [      {        "id": "dsp_8h0r1n4tzcbfp2v8q1mzwxj5",        "reason": "FRAUDULENT",        "status": "AWAITING_REVIEW",        "evidence": null,        "totalAmount": 2920,        "amount": 2900,        "fee": 2000,        "createdAt": "2026-05-14T09:12:00.000Z",        "order": {          "id": "ord_p2v8q1mzj0kxw5h7n4tr3bcf",          "orderNumber": "cs_abcdef0123456789",          "status": "CHARGEBACK",          "customer": {            "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",            "email": "buyer@example.com"          }        }      }    ],    "pagination": {      "page": 1,      "limit": 25,      "total": 1,      "totalPages": 1    }  }}

Last updated on